## offlineimap 6.0.0

=== debian/changelog ===
offlineimap (6.0.0) unstable; urgency=low

  * Updated version number to 6.0.0.  No other changes.  Calling this
    the new stable version.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 20 May 2008 00:01:17 -0500

offlineimap (5.99.15) unstable; urgency=low

  * Finally fix the LocalStatus issues.  Closes: #479798.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 12 May 2008 09:01:26 -0500

offlineimap (5.99.14) unstable; urgency=low

  * Revert some previous attempts at LocalStatus creation.
    Closes: #479798.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 May 2008 20:43:25 -0500

offlineimap (5.99.13) unstable; urgency=low

  * Revert Darwin memory leak workaround patch; it was causing network
    communication issues.  Closes: #479677.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 06 May 2008 08:49:56 -0500

offlineimap (5.99.12) unstable; urgency=low

  * Finally fix LocalStatus folders.  Closes: #478990.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 05 May 2008 02:37:22 -0500

offlineimap (5.99.11) unstable; urgency=low

  * Correct bug introduced in 5.99.10

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Apr 2008 09:52:40 -0500

offlineimap (5.99.10) unstable; urgency=low

  * Address bug with LocalStatus folders in subfolders.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Apr 2008 02:45:24 -0500

offlineimap (5.99.9) unstable; urgency=low

  [ John Goerzen ]
  * Automatically create top-level localfolder for Maildirs this is the
    folder Maildirs will put messages in.  (Closes: #286967)

  [ Florian Friesdorf ]
  * Ignore empty LocalStatus files I created new IMAP folders on my
    server. In some moment I found offlineimap crashed. The reason were
    empty LocalStatus files. From looking at the code I have no
    explanation how those files came into existence.

  [ John Goerzen ]
  * Add *~ to .gitignore
  * Updated offlineimap.conf with Kerberos info
  * Also make bin/offlineimap +x

  [ Florian Friesdorf ]
  * chmod +x offlineimap.py

 -- John Goerzen <jgoerzen@complete.org>  Thu, 27 Mar 2008 16:21:41 -0500

=== debian/control ===
Source: offlineimap
Section: mail
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>> 6)
Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, xpdf-utils, gs, man-db
Build-Conflicts-Indep: docbook-ebnf
Standards-Version: 3.7.3
Homepage: http://software.complete.org/offlineimap
Vcs-Browser: http://git.complete.org/offlineimap
Vcs-Git: git://git.complete.org/offlineimap

Package: offlineimap
Architecture: all
Depends: ${python:Depends}
Suggests: python-kerberos
Description: IMAP/Maildir synchronization and reader support
 OfflineIMAP is a tool to simplify your e-mail reading.  With
 OfflineIMAP, you can:
 .
  * Read the same mailbox from multiple computers, and have your
    changes (deletions, etc.) be automatically reflected on
    all computers
 .
  * Use various mail clients to read a single mail box
 .
  * Read mail while offline (on a laptop) and have all changes
    synchronized when you get connected again
 .
  * Read IMAP mail with mail readers that do not support IMAP
 .
  * Use SSL (secure connections) to read IMAP mail even if your reader
    doesn't support SSL
 .
  * Synchronize your mail using a completely safe and fault-tolerant
    algorithm.  (At least I think it is!)
 .
  * Customize which mailboxes to synchronize with regular expressions
    or lists.
 .
  * Synchronize your mail two to four times faster than with other tools
    or other mail readers' internal IMAP support.
 .
 In short, OfflineIMAP is a tool to let you read mail how YOU want to.

## offlineimap 6.0.3

=== debian/changelog ===
offlineimap (6.0.3) unstable; urgency=low

  * Removed call to task_done, which required Python 2.5.  Closes: #494982.
  * Make GMail trash and spam folder names configurable -- German Google
    Mail uses different folder names.  Patch from Henning Glawe.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 13 Aug 2008 13:51:54 -0500

offlineimap (6.0.2) unstable; urgency=low

  * Yew more power handling improvements.  Closes: #434074.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 02 Aug 2008 17:44:24 -0500

offlineimap (6.0.1) unstable; urgency=low

  * Add support for SSL client certificates.  Patch by Mark Hymers,
    ca08c1e5531af7a19b38d1034780ff751589ce9a.
  * Yet another tweak for maildir creations.
  * Added new [general] config option fsync to permit disabling of fsync
    when desired.
  * Improve OfflineIMAP power profile by reworking threadutil.  
    Closes: #434074.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 02 Aug 2008 15:13:47 -0500

## offlineimap 6.0.3ubuntu1

=== Makefile ===
# Copyright (C) 2002 - 2006 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

VERSION=4.0.16
TARGZ=offlineimap_$(VERSION).tar.gz
SHELL=/bin/bash

clean:
	-python setup.py clean --all
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.tmp"`
	-rm -f bin/offlineimapc
	-rm -f `find . -name "*.pyc"`
	-rm -f `find . -name "*.pygc"`
	-rm -f `find . -name "*.class"`
	-rm -f `find . -name "*.bak"`
	-rm -f `find . -name ".cache*"`
	-rm -f manpage.links manpage.refs
	-find . -name auth -exec rm -vf {}/password {}/username \;
	-rm -f manual.html manual.pdf manual.txt offlineimap.1

doc: 
	docbook2man offlineimap.sgml
	docbook2man offlineimap.sgml
	docbook2html -u offlineimap.sgml
	mv offlineimap.html manual.html
	man -t -l offlineimap.1 > manual.ps
	ps2pdf manual.ps
	groff -Tascii -man offlineimap.1 | sed $$'s/.\b//g' > manual.txt
	-rm manpage.links manpage.refs manual.ps

faq:
	curl -o FAQ.html http://software.complete.org/offlineimap/wiki/FrequentlyAskedQuestions

targz: ../$(TARGZ)
../$(TARGZ):
	if ! pwd | grep -q "/offlineimap-$(VERSION)$$"; then 			\
	  echo "Containing directory must be called offlineimap-$(VERSION)"; 	\
	  exit 1; 								\
	fi; 									\
	pwd && cd .. && pwd && tar -zhcv --exclude '.git' -f $(TARGZ) offlineimap-$(VERSION)

rpm: targz
	cd .. && sudo rpmbuild -ta $(TARGZ)

=== debian/changelog ===
offlineimap (6.0.3ubuntu1) jaunty; urgency=low

  * Fix use of deprecated md5 and ssl functions.
  * debian/rules: Add "--install-layout deb" to setup.py install so the
    script gets installed to /usr/bin.

 -- Andreas Wenning <awen@awen.dk>  Wed, 08 Apr 2009 18:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>> 6)
 Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, xpdf-utils, gs, man-db
 Build-Conflicts-Indep: docbook-ebnf

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by John Goerzen

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python
PACKAGE=offlineimap


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#$(PYTHON) setup.py configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(PYTHON) setup.py build
	make doc
	#/usr/bin/docbook-to-man debian/pygopherd.sgml > pygopherd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pygopherd.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --install-layout deb


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples offlineimap.conf offlineimap.conf.minimal
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman offlineimap.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_pysupport
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## offlineimap 6.2.0ubuntu2

=== debian/changelog ===
offlineimap (6.2.0ubuntu2) karmic; urgency=low

  * Change deprecated ssl.socket for ssl.wrap_socket (LP: 429655)
    Patch adapted from upstream: http://software.complete.org/software/issues/show/110

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Mon, 14 Sep 2009 16:17:41 -0500

offlineimap (6.2.0ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #416658), remaining changes:
    - debian/rules: Add "--install-layout=deb" to setup.py install so the
      script gets installed to /usr/bin.
    - debian/control: Build-Depends on ghostscript-x rather than gs, which has
      become obsolete according to lintian.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 20 Aug 2009 17:27:21 -0400

offlineimap (6.2.0) unstable; urgency=low

  * FIX: Removed imaplib2 entirely.  It was the cause of numerous
    crash/hang bugs.  Closes: #536156, #536329.
  * REMOVAL: IDLE support had to be removed because it depended on
    imaplib2.
  * Do not request INTERNALDATE when it is not needed.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 12 Aug 2009 00:40:31 -0500

offlineimap (6.1.2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #402278), remaining changes:
    - debian/rules: Add "--install-layout deb" to setup.py install so the
      script gets installed to /usr/bin.
  * debian/control: Build-Depends on ghostscript-x rather than gs, which has
    become obsolete according to lintian.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 21 Jul 2009 10:44:32 -0500

offlineimap (6.1.2) unstable; urgency=low

  * Applied patch from Peter Colberg to remove usage of hard linking.
    Closes: #535160.
  * Fix the order of folders during sync.  Patch from
    Nicolas Dandrimont.  Closes: #535540.
  * Reduce memory usage when scanning Maildirs.  Patch from Michal
    Vitecek.
  * Use latest version of imaplib2.  Patch from Christoph Höger.
    Fixes Kerberos login problems.
  * Quick synchronizations (for 'quick' > 0) are now performed between
    full synchronizations (as specified in the documentation).
    Patch from Michal Vitecek.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 16 Jul 2009 10:52:30 -0500

offlineimap (6.1.1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: Add "--install-layout deb" to setup.py install so the
    script gets installed to /usr/bin.

 -- Andreas Wenning <awen@awen.dk>  Tue, 07 Jul 2009 01:21:19 +0200

offlineimap (6.1.1) unstable; urgency=low

  * Fix minimum Python version.  Closes: #535481.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 00:03:21 -0500

offlineimap (6.1.0) unstable; urgency=low

  * FIXME: ensure patch from Jim Prior has had docs for signals
  * FEATURE: Applied patch from Jonny Lamb to specify order of syncing.
    Closes: #502779.
  * FEATURE: Support pre/post-sync hooks.  Patch from Sylvain FORET.
    Apply fix for missing imports in this patch; fix from Graham D.
  * FEATURE: Documented pre/post-sync hooks.  Patch from Sias Mey.
  * FEATURE: New configuration option to limit folders worked with
    to the IMAP subscribed folders.  Patch from Sean Finney, modified
    by John Goerzen.
  * FEATURE: Support sending OfflineIMAP a signal to force a sync to
    start.  Patch from Jim Pryor (e1fb9492f)
  * FEATURE: Support for IMAP IDLE; import newer imaplib.  Patch from
    James Bunton.  Additional patch from James Bunton to check for IDLE
    in CAPABILITIES response.  Patch series merged in 9e085565.
  * FEATURE: Allow keepalive to be overridden by user if imapfolders set.
    Patch from James Bunton.
  * FEATURE: Support /etc/netrc in addition to ~/.netrc.  Patch from
    Jim Pryor.
  * FEATURE: Sync accounts in order specified.  Patch from Jonny Lamb.
  * FIX: Apply patch from Eric Dorland to fix autorefresh with Kerberos.
  * FIX: Set gssapi to false on Kerberos error.  Patch from Christoph
    Höger.
  * COSMETIC: Make Ctrl-C cleaner.  Patch from Jim Pryor.
  * COSMETIC: Fix typoes in example config file.
    Patch from Alexey Mahotkin.
  * COMPAT: Apply patch from Michael Witten to remove use of a private
    attribute in imaplibutil.py (5fe379f66)
  * COMPAT: Use md5 from haslib if available.  md5 module deprecated
    since Python 2.5.  Patch from Loui Chang.  Fix to Chang's patch from
    Paul Hinze.
  * COMPAT: Apply Darwin support patch from Vincent Beffara.  Fixes
    software.complete.org #20.  Commit 10c2b6fbaa.
  * MISC: Better make clean, .gitignore files.  Patches from 
    Nicolas Sebrecht.    

 -- John Goerzen <jgoerzen@complete.org>  Wed, 01 Jul 2009 20:49:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>> 6)
-Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, xpdf-utils, gs, man-db
+Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, xpdf-utils, ghostscript-x, man-db
 Build-Conflicts-Indep: docbook-ebnf
 Standards-Version: 3.7.3
 Homepage: http://software.complete.org/offlineimap

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 
 	# Add here commands to install the package into debian/pygopherd.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
-	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --install-layout deb
+	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --install-layout=deb
 
 
 # Build architecture-dependent files here.

## offlineimap 6.2.0+nmu2ubuntu1

=== debian/changelog ===
offlineimap (6.2.0+nmu2ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - offlineimap/imaplibutil.py: use ssl.wrap_socket() instead of deprecated
      socket.ssl(); note that this change is incompatible with python << 2.6
      and only works because ssl is imported for python >= 2.6; upstream would
      like this to be fixed in imaplib instead; bump pyversions to 2.6- and
      python-dev build-dep to >= 2.6; LP #429655.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 01 Mar 2010 11:34:17 +0100

offlineimap (6.2.0+nmu2) unstable; urgency=low

  * Non-maintainer upload, for the upcoming Python 2.6 transition
  * debian/rules
    - add '--prefix=/usr' to 'setup.py install' since Python 2 .6 installs by
      default in /usr/local; thanks to Jakub Wilk for the report and to Luca
      Falavigna for the patch; Closes: #557912

 -- Sandro Tosi <morph@debian.org>  Sat, 12 Dec 2009 09:44:03 +0100

offlineimap (6.2.0+nmu1) unstable; urgency=low

  * Non-maintainer upload needed to fix xpdf's RC bugs:
  * Use pdftops from poppler-utils rather than xpdf-utils
    (Closes: #549392)
  * Also use ghostscript instead of the transitional gs package

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 17 Nov 2009 22:02:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>> 6)
-Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, xpdf-utils, ghostscript-x, man-db
+Build-Depends-Indep: python-dev (>= 2.6), groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, poppler-utils, ghostscript, man-db
 Build-Conflicts-Indep: docbook-ebnf
 Standards-Version: 3.7.3
 Homepage: http://software.complete.org/offlineimap

## offlineimap 6.2.0.2

=== debian/changelog ===
offlineimap (6.2.0.2-2) unstable; urgency=low

  * QA upload.
  * Apply patch to replace assert statements with proper tests. Thanks to
    Johann Felix Soden <johfel@gmx.de> (Closes: #588348).
  * Convert to dpkg-source 3.0 (quilt) format
  * Depend on ${misc:Depends} for debhelper.
  * Drop unnecessary Build-Depends-Indep on python-dev
  * Bump Standards-Version to 3.9.0 (no changes).
  * Use proper copyright symbol in debian/copyright.
  * Register FAQ with doc-base, and add Suggests: doc-base

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 02 Aug 2010 20:00:41 +0200

offlineimap (6.2.0.2-1) unstable; urgency=low

  * QA upload.
  * Apply workaround from Jakub Wilk for #586433 (python2.6 curses module
    breakage).

 -- Julien Cristau <jcristau@debian.org>  Sun, 25 Jul 2010 16:11:00 +0200

offlineimap (6.2.0.2) unstable; urgency=high

  * Re-import 6.2.0+nmu1 and +nmu2, the changes of which had been
    inadvertantly removed with the upload of 6.2.0.1.
    Closes: #557912, #549392.  Both were RC.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 29 Jun 2010 16:51:19 -0500

offlineimap (6.2.0.1) unstable; urgency=low

  * Orphaning this package -- see #585035.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 08 Jun 2010 10:21:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>> 6)
-Build-Depends-Indep: python-dev (>= 2.6), groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, poppler-utils, ghostscript, man-db
+Build-Depends-Indep: groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, poppler-utils, ghostscript, man-db
 Build-Conflicts-Indep: docbook-ebnf
-Standards-Version: 3.7.3
+Standards-Version: 3.9.0
 Homepage: http://software.complete.org/offlineimap
 Vcs-Browser: http://git.complete.org/offlineimap
 Vcs-Git: git://git.complete.org/offlineimap
 
 Package: offlineimap
 Architecture: all
-Depends: ${python:Depends}
-Suggests: python-kerberos
+Depends: ${misc:Depends}, ${python:Depends}
+Suggests: python-kerberos, doc-base
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:

## offlineimap 6.2.0.2ubuntu1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	-rm -f `find . -name ".cache*"`
 	-rm -f manpage.links manpage.refs
 	-find . -name auth -exec rm -vf {}/password {}/username \;
-	-rm -f manual.html manual.pdf manual.txt offlineimap.1
+	-rm -f manual.html manual.pdf manual.txt manual.ps offlineimap.1
 
 doc: 
 	docbook2man offlineimap.sgml

=== debian/changelog ===
offlineimap (6.2.0.2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #605011).  Remaining changes:
    - Use ssl.wrap_socket() instead of deprecated socket.ssl(); see changelog
      entry for 6.2.0+nmu2ubuntu1 for rationale.
    - Use python >= 2.6

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 13 Jul 2010 12:25:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>> 6)
-Build-Depends-Indep: groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, poppler-utils, ghostscript, man-db
+Build-Depends-Indep: python-dev (>= 2.6), groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, poppler-utils, ghostscript, man-db
 Build-Conflicts-Indep: docbook-ebnf
-Standards-Version: 3.9.0
+Standards-Version: 3.7.3
 Homepage: http://software.complete.org/offlineimap
 Vcs-Browser: http://git.complete.org/offlineimap
 Vcs-Git: git://git.complete.org/offlineimap
 
 Package: offlineimap
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-kerberos, doc-base
+Depends: ${python:Depends}
+Suggests: python-kerberos
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 
 	# Add here commands to install the package into debian/pygopherd.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
-	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --install-layout=deb
+	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --prefix=/usr
 
 
 # Build architecture-dependent files here.

## offlineimap 6.2.1-2

=== debian/changelog ===
offlineimap (6.2.1-2) unstable; urgency=low

  * Packaged GIT sources more recent than 6.2.0, for N900 target
  * Improved packaging to bypass scratchbox related files

 -- Sebastien Lelong <sebastien.lelong@gmail.com>  Wed, 23 Jun 2010 10:32:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>> 6)
-Build-Depends-Indep: python-dev (>= 2.6), groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, sgml2x, jade, lynx, scons, poppler-utils, ghostscript, man-db
+Maintainer: John Goerzen <jgoerzen@complete.org>
+Build-Depends: debhelper
+Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, scons, man-db
 Build-Conflicts-Indep: docbook-ebnf
 Standards-Version: 3.7.3
 Homepage: http://software.complete.org/offlineimap
@@ -12,7 +11,8 @@
 Vcs-Git: git://git.complete.org/offlineimap
 
 Package: offlineimap
-Architecture: all
+Architecture: armel
+Version: 6.2.1-2
 Depends: ${python:Depends}
 Suggests: python-kerberos
 Description: IMAP/Maildir synchronization and reader support

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHON=python
+PYTHON=python2.5
 PACKAGE=offlineimap
 
 
@@ -33,7 +33,7 @@
 
 	# Add here commands to compile the package.
 	$(PYTHON) setup.py build
-	make doc
+	###make doc
 	#/usr/bin/docbook-to-man debian/pygopherd.sgml > pygopherd.1
 
 	touch build-stamp
@@ -56,7 +56,7 @@
 
 	# Add here commands to install the package into debian/pygopherd.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
-	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --prefix=/usr
+	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile
 
 
 # Build architecture-dependent files here.
@@ -68,7 +68,7 @@
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
-	dh_installdocs
+	#dh_installdocs
 	dh_installexamples offlineimap.conf offlineimap.conf.minimal
 	dh_installmenu
 #	dh_installlogrotate
@@ -77,8 +77,8 @@
 #	dh_installmime
 	dh_installinit
 	dh_installcron
-	dh_installman offlineimap.1
-	dh_installinfo
+	#dh_installman offlineimap.1
+	#dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_link

## offlineimap 6.3.3

=== docs/Makefile ===
# This program is free software under the terms of the GNU General Public
# License. See the COPYING file which must come with this package.

SOURCES = $(wildcard *.rst)
HTML_TARGETS = $(patsubst %.rst,%.html,$(SOURCES))

RM = rm
RST2HTML=`type rst2html >/dev/null 2>&1 && echo rst2html || echo rst2html.py`
RST2MAN=`type rst2man >/dev/null 2>&1 && echo rst2man || echo rst2man.py`

all: html

html: $(HTML_TARGETS)

$(HTML_TARGETS): %.html : %.rst
	$(RST2HTML) $? $@

man: offlineimap.1

offlineimap.1: MANUAL.rst
	$(RST2MAN) MANUAL.rst offlineimap.1
	cp -f offlineimap.1 ..

clean:
	$(RM) -f $(HTML_TARGETS)
	$(RM) -f offlineimap.1 ../offlineimap.1

=== debian/changelog ===
offlineimap (6.3.3-3) unstable; urgency=low

  * New upstream release.
    - getting stuck when run with multiple threads (Closes: #596291).
    - Uses wrong gmail folders? (Closes: #481041).
    - NameError: global name 'UIBase' is not defined (Closes: #613483).
    - Unknown IMAP4 command: 'selectedfolder' (Closes: #569068).
    - Removed debian/patches/*
    - kerberos authentication works only the first time (Closes: #470875).
    - Support RFC4315 UIDPLUS extension in APPEND reply (Closes: #435959).
    - sync and exit on request/signal (Closes: #410181).
    - man page uid validity problem workaround is confusing (Closes: #381449).
    - 'EOF occurred in violation of protocol' with uw-imapd (Closes: #303582).
  * Make sure man page is built and installed (Closes: #618516, #613331).
  * Update upstream location in debian/copyright (Closes: #620737).

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 01 May 2011 18:24:54 +1000

offlineimap (6.3.2~rc3-2) unstable; urgency=low

  * Add pre-upstream patch
    - Use-self.ui-rather-than-UIBase.getglobalui.patch (Closes: 613483)
  * debian/pyversions
    - Up minimum python to 2.6 due to SSL requirements

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 18 Feb 2011 00:03:17 +1100

offlineimap (6.3.2~rc3-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Closes: #585035)
  * debian/changelog
    - Add -1, no longer a debian native package
    - Bump standards to 3.9.1
    - Reduced build-depends due to only what is needed
  * debian/compat
    - Bumpt to 7
  * debian/control
    - Update VCS and homepage entries
    - remove use of I in the description
    - Add version to debhelper
    - Update the maintainer
    - add python-docutils to build deps
  * debian/doc-base
    - Add manual
  * debian/rules
    - Move to debhelper 7 format
  * debian/offlineimap.lintian-overrides
    - Ignore man page hypen problems till docbook2man is fixed
  * debian/watch
    - Add a watch file
  * debian/offlineimap.examples
    - Added examples to install

 -- John Francesco Ferlito <johnf@inodes.org>  Mon, 14 Feb 2011 00:03:44 +1100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper
-Build-Depends-Indep: python-dev, groff, docbook-utils, python-support (>= 0.4.0), gtk-doc-tools, scons, man-db
-Build-Conflicts-Indep: docbook-ebnf
-Standards-Version: 3.7.3
-Homepage: http://software.complete.org/offlineimap
-Vcs-Browser: http://git.complete.org/offlineimap
-Vcs-Git: git://git.complete.org/offlineimap
+Maintainer: John Francesco Ferlito <johnf@inodes.org>
+Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends-Indep: python-support (>= 0.4.0), python-docutils
+Standards-Version: 3.9.1
+Homepage: https://github.com/nicolas33/offlineimap
+Vcs-Browser: https://github.com/nicolas33/offlineimap
+Vcs-Git: git://github.com/nicolas33/offlineimap.git
 
 Package: offlineimap
-Architecture: armel
-Version: 6.2.1-2
-Depends: ${python:Depends}
-Suggests: python-kerberos
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}
+Suggests: python-kerberos, doc-base
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:
@@ -34,7 +32,7 @@
     doesn't support SSL
  .
   * Synchronize your mail using a completely safe and fault-tolerant
-    algorithm.  (At least I think it is!)
+    algorithm.
  .
   * Customize which mailboxes to synchronize with regular expressions
     or lists.

=== debian/rules ===
#!/usr/bin/make -f

%:
	# Need to specify build system due to the Makefile used for cleaning up and docs
	dh $@ --buildsystem=python_distutils

# Makefile is used to build docs
override_dh_auto_build:
	dh_auto_build
	make doc
	make man

## offlineimap 6.3.4

=== Makefile ===
--- 
+++ 
@@ -15,36 +15,39 @@
 #    along with this program; if not, write to the Free Software
 #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 
-VERSION=4.0.16
+VERSION=`./offlineimap.py --version`
 TARGZ=offlineimap_$(VERSION).tar.gz
 SHELL=/bin/bash
+RST2HTML=`type rst2html >/dev/null 2>&1 && echo rst2html || echo rst2html.py`
+
+all: build
+
+build:
+	python setup.py build
+	@echo
+	@echo "Build process finished, run 'python setup.py install' to install" \
+		"or 'python setup.py --help' for more information".
 
 clean:
 	-python setup.py clean --all
-	-rm -f `find . -name "*~"`
-	-rm -f `find . -name "*.tmp"`
 	-rm -f bin/offlineimapc
-	-rm -f `find . -name "*.pyc"`
-	-rm -f `find . -name "*.pygc"`
-	-rm -f `find . -name "*.class"`
-	-rm -f `find . -name "*.bak"`
-	-rm -f `find . -name ".cache*"`
+	-find . -name '*.pyc' -exec rm -f {} \;
+	-find . -name '*.pygc' -exec rm -f {} \;
+	-find . -name '*.class' -exec rm -f {} \;
+	-find . -name '.cache*' -exec rm -f {} \;
+	-find . -name '*.html' -exec rm -f {} \;
 	-rm -f manpage.links manpage.refs
 	-find . -name auth -exec rm -vf {}/password {}/username \;
-	-rm -f manual.html manual.pdf manual.txt manual.ps offlineimap.1
+	@$(MAKE) -C docs clean
 
-doc: 
-	docbook2man offlineimap.sgml
-	docbook2man offlineimap.sgml
-	docbook2html -u offlineimap.sgml
-	mv offlineimap.html manual.html
-	man -t -l offlineimap.1 > manual.ps
-	ps2pdf manual.ps
-	groff -Tascii -man offlineimap.1 | sed $$'s/.\b//g' > manual.txt
-	-rm manpage.links manpage.refs manual.ps
+man:
+	@$(MAKE) -C docs man
 
-faq:
-	curl -o FAQ.html http://software.complete.org/offlineimap/wiki/FrequentlyAskedQuestions
+doc:
+	@$(MAKE) -C docs
+	$(RST2HTML) README.rst readme.html
+	$(RST2HTML) SubmittingPatches.rst SubmittingPatches.html
+	$(RST2HTML) Changelog.rst Changelog.html
 
 targz: ../$(TARGZ)
 ../$(TARGZ):

=== docs/Makefile ===
--- 
+++ 
@@ -7,8 +7,9 @@
 RM = rm
 RST2HTML=`type rst2html >/dev/null 2>&1 && echo rst2html || echo rst2html.py`
 RST2MAN=`type rst2man >/dev/null 2>&1 && echo rst2man || echo rst2man.py`
+SPHINXBUILD = sphinx-build
 
-all: html
+all: html dev-doc
 
 html: $(HTML_TARGETS)
 
@@ -21,6 +22,12 @@
 	$(RST2MAN) MANUAL.rst offlineimap.1
 	cp -f offlineimap.1 ..
 
+dev-doc:
+	$(SPHINXBUILD) -b html -d dev-doc/doctrees dev-doc-src dev-doc/html
+
 clean:
 	$(RM) -f $(HTML_TARGETS)
 	$(RM) -f offlineimap.1 ../offlineimap.1
+	$(RM) -rf dev-doc/*
+
+.PHONY: dev-doc

=== debian/changelog ===
offlineimap (6.3.4-1+deb8u1) jessie; urgency=medium

  * Prevent the usage of maxage.
    The implementation of maxage is broken in this version of OfflineIMAP
    (v6.3.4) and may even result in data loss. Document the above behavior in
    the example conf file and also warn the user every time this feature is
    being used (Closes: #859478).
  * Set myself as the maintainer.
    Package has already been adopted in unstable.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 09 May 2017 15:14:10 +0300

offlineimap (6.3.4-1) unstable; urgency=low

  * New upstream release.
    - re-syncs some of my large folders (Closes: #629515).
    - uses invalid date notation in SEARCH request (Closes: #630447).
    - Fails to upload emails with some locales (Closes: #637716).
    - leftover reference to old interface name Noninteractive.Basic (Closes: #629502).
    - Improvements to man page (Closes: #470679).
    - Maximum message size (Closes: #190262).
    - does not handle network downtime gracefully (Closes: #203889).
    - Very slow, high CPU when syncing after thousands of remote
      deletions (Closes: #518093).
    - TypeError: sigterm_handler() takes exactly 3 arguments (Closes: #618264).
    - ask for password once, then autorefresh in background (Closes: #489309).
  * debian/patches - Added
    - 0001-Fix-manpage-build-failures-from-inconsistent-heading.patch
  * debian/changelog
    - Removed excess whitespace
  * debian/control
    - point VCS- fields at debian repo not upstream (Closes: #627004).

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 23 Aug 2011 22:50:13 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: John Francesco Ferlito <johnf@inodes.org>
+Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support (>= 0.4.0), python-docutils
+Build-Depends-Indep: python-support (>= 0.4.0), python-docutils, quilt
 Standards-Version: 3.9.1
 Homepage: https://github.com/nicolas33/offlineimap
-Vcs-Browser: https://github.com/nicolas33/offlineimap
-Vcs-Git: git://github.com/nicolas33/offlineimap.git
+Vcs-Browser: https://github.com/johnf/offlineimap
+Vcs-Git: git://github.com/johnf/offlineimap.git
 
 Package: offlineimap
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	# Need to specify build system due to the Makefile used for cleaning up and docs
	dh --with quilt $@ --buildsystem=python_distutils

# Makefile is used to build docs
override_dh_auto_build:
	dh_auto_build
	make man
	make -C docs html

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
http://githubredir.debian.net/github/nicolas33/offlineimap .*/v(.*).tar.gz

## offlineimap 6.5.4

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 RST2MAN=`type rst2man >/dev/null 2>&1 && echo rst2man || echo rst2man.py`
 SPHINXBUILD = sphinx-build
 
-all: html dev-doc
+all: man doc
 
 html: $(HTML_TARGETS)
 
@@ -22,12 +22,12 @@
 	$(RST2MAN) MANUAL.rst offlineimap.1
 	cp -f offlineimap.1 ..
 
-dev-doc:
-	$(SPHINXBUILD) -b html -d dev-doc/doctrees dev-doc-src dev-doc/html
+doc:
+	$(SPHINXBUILD) -b html -d html/doctrees doc-src html
 
 clean:
 	$(RM) -f $(HTML_TARGETS)
 	$(RM) -f offlineimap.1 ../offlineimap.1
-	$(RM) -rf dev-doc/*
+	$(RM) -rf html/*
 
-.PHONY: dev-doc
+.PHONY: clean doc

=== debian/changelog ===
offlineimap (6.5.4-2) unstable; urgency=low

  * Set myself as a maintainer
  * Add patch to include a missing import (Closes: #671279)
  * Add patch to treat SIGHUP to gracefully terminate (Closes: #670120)
  
 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 05 Jun 2012 01:46:52 +0100

offlineimap (6.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add python-sqlite to recommends (Closes: #664369)
  * debian/watch: Update download's URL

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 03 Jun 2012 23:33:12 +0100

offlineimap (6.5.3.1-2) unstable; urgency=low

  * Add NEWS entry about name translation (Closes: #670761)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 29 Apr 2012 18:20:46 +0100

offlineimap (6.5.3.1-1) unstable; urgency=low

  * New upstream release. (Closes: #669428)
  * Add myself as uploader.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 19 Apr 2012 22:14:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support (>= 0.4.0), python-docutils, quilt
-Standards-Version: 3.9.1
-Homepage: https://github.com/nicolas33/offlineimap
-Vcs-Browser: https://github.com/johnf/offlineimap
-Vcs-Git: git://github.com/johnf/offlineimap.git
+Maintainer: Dmitrijs Ledkovs <xnox@debian.org>
+Uploaders: John Francesco Ferlito <johnf@inodes.org>
+Build-Depends: debhelper (>= 7.0.50~), python, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
+Standards-Version: 3.9.3
+Homepage: http://offlineimap.org/
 
 Package: offlineimap
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
+Recommends: python-sqlite
 Suggests: python-kerberos, doc-base
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with=python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	make man doc

override_dh_installchangelogs:
	dh_installchangelogs Changelog.html

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
http://githubredir.debian.net/github/spaetz/offlineimap .*/v(.*).tar.gz

## offlineimap 6.5.5

=== debian/changelog ===
offlineimap (6.5.5-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release
  * Update download's URL
  * Bump standards to 3.9.5
  * Remove patch to include a missing import, applied upstream
  * Remove patch to treat SIGHUP to gracefully terminate, applied
    upstream
  * Refresh improve_man_page.patch

 -- Liang Guo <guoliang@debian.org>  Sat, 01 Mar 2014 11:35:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Dmitrijs Ledkovs <xnox@debian.org>
 Uploaders: John Francesco Ferlito <johnf@inodes.org>
-Build-Depends: debhelper (>= 7.0.50~), python, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), python, 
+               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
+Standards-Version: 3.9.5
 Homepage: http://offlineimap.org/
 
 Package: offlineimap

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
http://githubredir.debian.net/github/OfflineIMAP/offlineimap .*/v(.*).tar.gz

## offlineimap 6.6.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,9 @@
 #    along with this program; if not, write to the Free Software
 #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 
-VERSION=`./offlineimap.py --version`
-TARGZ=offlineimap_$(VERSION).tar.gz
+VERSION=$(shell ./offlineimap.py --version)
+ABBREV=$(shell git log --format='%h' HEAD~1..)
+TARGZ=offlineimap-$(VERSION)-$(ABBREV)
 SHELL=/bin/bash
 RST2HTML=`type rst2html >/dev/null 2>&1 && echo rst2html || echo rst2html.py`
 
@@ -30,32 +31,24 @@
 
 clean:
 	-python setup.py clean --all
-	-rm -f bin/offlineimapc
+	-rm -f bin/offlineimapc 2>/dev/null
 	-find . -name '*.pyc' -exec rm -f {} \;
 	-find . -name '*.pygc' -exec rm -f {} \;
 	-find . -name '*.class' -exec rm -f {} \;
 	-find . -name '.cache*' -exec rm -f {} \;
-	-find . -name '*.html' -exec rm -f {} \;
-	-rm -f manpage.links manpage.refs
+	-rm -f manpage.links manpage.refs 2>/dev/null
 	-find . -name auth -exec rm -vf {}/password {}/username \;
-	@$(MAKE) -C docs clean
+	@$(MAKE) -C clean
 
-man:
-	@$(MAKE) -C docs man
+docs:
+	@$(MAKE) -C docs
 
-doc:
-	@$(MAKE) -C docs
-	$(RST2HTML) README.rst readme.html
-	$(RST2HTML) SubmittingPatches.rst SubmittingPatches.html
-	$(RST2HTML) Changelog.rst Changelog.html
+websitedoc:
+	@$(MAKE) -C websitedoc
 
 targz: ../$(TARGZ)
 ../$(TARGZ):
-	if ! pwd | grep -q "/offlineimap-$(VERSION)$$"; then 			\
-	  echo "Containing directory must be called offlineimap-$(VERSION)"; 	\
-	  exit 1; 								\
-	fi; 									\
-	pwd && cd .. && pwd && tar -zhcv --exclude '.git' -f $(TARGZ) offlineimap-$(VERSION)
+	cd .. && tar -zhcv --transform s,^offlineimap,$(TARGZ), -f $(TARGZ).tar.gz --exclude '*.pyc' offlineimap/{bin,Changelog.md,contrib,CONTRIBUTING.rst,COPYING,docs,MAINTAINERS.rst,MANIFEST.in,offlineimap,offlineimap.conf,offlineimap.conf.minimal,offlineimap.py,README.md,scripts,setup.py,test,TODO.rst}
 
 rpm: targz
 	cd .. && sudo rpmbuild -ta $(TARGZ)

=== docs/Makefile ===
--- 
+++ 
@@ -9,25 +9,34 @@
 RST2MAN=`type rst2man >/dev/null 2>&1 && echo rst2man || echo rst2man.py`
 SPHINXBUILD = sphinx-build
 
-all: man doc
+docs: man api
 
 html: $(HTML_TARGETS)
 
 $(HTML_TARGETS): %.html : %.rst
 	$(RST2HTML) $? $@
 
-man: offlineimap.1
+man: offlineimap.1 offlineimapui.7
 
-offlineimap.1: MANUAL.rst
-	$(RST2MAN) MANUAL.rst offlineimap.1
-	cp -f offlineimap.1 ..
+offlineimap.1: offlineimap.txt
+	a2x -v -f manpage $?
 
-doc:
+offlineimapui.7: offlineimapui.txt
+	a2x -v -f manpage $?
+
+api:
 	$(SPHINXBUILD) -b html -d html/doctrees doc-src html
+
+websitedoc:
+	./website-doc.sh releases
+	./website-doc.sh api
+	./website-doc.sh contrib
 
 clean:
 	$(RM) -f $(HTML_TARGETS)
-	$(RM) -f offlineimap.1 ../offlineimap.1
+	$(RM) -f offlineimap.1
+	$(RM) -f offlineimap.7
 	$(RM) -rf html/*
+	-find ./docs -name '*.html' -exec rm -f {} \;
 
 .PHONY: clean doc

=== debian/changelog ===
offlineimap (6.6.1+dfsg1-2) unstable; urgency=low

  * Recommend python-socks instead of python-pysocks.
    Both provide the same module and the first has been marked for removal.
    (Closes: #810307)
  * Use 'https://' instead of 'git://' in Vcs-Git field
  * Prevent a2x from connecting to the Internet
  * Add faketime to build dependencies
  * Improve reproducibility of documentation build.
    Patch a2x tool to use the date of the latest entry in d/changelog
    file for the generated documentation.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 11 Jan 2016 12:28:24 +0200

offlineimap (6.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #677166)
  * Add missing docbook-xsl build dependency
  * Update patches to apply cleanly on new upstream

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 28 Dec 2015 18:12:09 +0200

offlineimap (6.6.0~rc3+dfsg1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * New upstream release
    (Closes: #747033, #629264, #745822, #760960, #785594, #648863, #343924)
  * Update build dependencies
    - Add dh-python and python-setuptools, required to build Python modules
    - Remove python-sphinx, since we are not shipping documentation anymore
    - Add asciidoc, xsltproc, docbook-xml and libxml2-utils,
      required to build the manpages (Closes: #680856)
  * Add X-Python-Version field in d/control
  * Bump Standards Version to 3.9.6.
    No changes to the source package.
  * Convert d/copyright to DEP-5 and update its entries (Closes: #655721)
  * Update d/watch file according to wiki.d.o/watch
  * Create a DFSG version of the package
    - Remove non free IETF documents
    - Remove embedded copy of imaplib2
  * Remove improve_man_page patch.
    Manpages have been rewritten.
  * Don't use embedded copy of imaplib2 (Closes: #728445)
  * Add python-imaplib2 to package dependencies
  * Install offlineimapui.7 manpage
  * d/patches: Fix typos in offlineimap(1) manpage
  * Update d/rules to build newer version
    - Use pybuild instead of python_distutils.
    - Don't export OfflineIMAP's Python modules
      Python applications should ship only private modules, according
      to the Debian Python Policy.
    - Disable tests since they require a valid IMAP account.
  * Don't install documentation.
    OfflineIMAP's manual and FAQ have been moved by upstream to another
    package (OfflineIMAP/offlineimap.github.io). Only developer's
    documentation is included, which is not needed to be installed alongside
    this package.
  * Remove python-sqlite from the recommended packages.
    OfflineIMAP uses sqlite3 to access the sqlite database which
    is provided by Python itself. (Closes: #715516)
  * Add python-pysocks to the recommended packages
  * d/patches: Abort after three Ctrl-C keystrokes.
    Thanks to Wouter Verhelst for the patch (Closes: #679975)
  * Document changes in NEWS
  * Add Vcs-Git and Vcs-Browser fields in d/control

  [ Dimitri John Ledkov ]
  * Set Ilias as maintainer, mark myself as uploader.
  * Add versioned dependency on python-imaplib2, to pull a version that
    re-exports zlib module.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 24 Nov 2015 13:59:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,33 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: Dmitrijs Ledkovs <xnox@debian.org>
-Uploaders: John Francesco Ferlito <johnf@inodes.org>
-Build-Depends: debhelper (>= 9), python, 
-               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
-Standards-Version: 3.9.5
+Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
+Uploaders: Dimitri John Ledkov <xnox@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ python,
+ dh-python,
+ python-setuptools,
+ faketime,
+ python-imaplib2 (>= 2.50),
+ asciidoc,
+ xsltproc,
+ docbook-xml,
+ docbook-xsl,
+ libxml2-utils
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.6
 Homepage: http://offlineimap.org/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/offlineimap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/offlineimap.git
 
 Package: offlineimap
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
-Recommends: python-sqlite
+Depends:
+ python-imaplib2 (>= 2.50),
+ ${misc:Depends},
+ ${python:Depends}
+Recommends: python-socks
 Suggests: python-kerberos, doc-base
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=offlineimap

# Python applications should have their module private
# These modules should be installed in /usr/share/<module-name>
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/offlineimap/

# Scripts should be installed to the same (private) directory.
# We cannot use --install-scripts in PYBUILD_INSTALL_ARGS since
# module name and script name are the same.
export PYBUILD_AFTER_INSTALL=\
	mv {destdir}/usr/bin/offlineimap {destdir}/usr/share/offlineimap/run

# Tests require a valid IMAP account in order to run (see test/README).
# Disable them for now.
export PYBUILD_DISABLE=test

# Reproducable builds
# https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal
export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)


%:
	dh $@ --buildsystem=pybuild --with=python2

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	make -C docs man

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/offlineimap-$1\.tar\.gz/,\
repacksuffix=+dfsg1,\
dversionmangle=s/\+dfsg\d+$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/OfflineIMAP/offlineimap/tags .*/v?(\d\S*)\.tar\.gz
